Package org.apache.solr.common.util

# Class StringBytes

java.lang.Object
org.apache.solr.common.util.StringBytes

public class StringBytes extends Object

## Constructor Summary

Constructors
Constructor
Description
`StringBytes(byte[] bytes, int offset, int length)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringBytes

public StringBytes(byte[] bytes, int offset, int length)

## Method Details

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`